Queues

Get a Queue

Get details of a specific queue

GET/v2/queues/{queueName}
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/queues/{queueName} \
  --header 'Authorization: Bearer <token>'
200Response
{
  "name": "<string>",
  "createdAt": 123,
  "updatedAt": 123,
  "parallelism": 123,
  "paused": true,
  "lag": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

queueNamepathstringrequired

The name of the queue to retrieve.

Response

200

namestring

The name of the queue.

createdAtinteger

The creation timestamp of the queue in Unix milliseconds

updatedAtinteger

The last update timestamp of the queue in Unix milliseconds

parallelisminteger

The number of parallel consumers consuming from the queue

pausedboolean

Whether the queue is paused

laginteger

The number of unprocessed messages that exist in the queue

400 — Queue name is invalid. Queue names can only contain alphanumeric characters, hyphens, periods, and underscores.

errorstringrequired

Error message

404 — Queue not found

errorstringrequired

Error message

Loading search…